Author Topic: The "old" launcher (for Revival 1.2.1 and prior)  (Read 1683 times)

Bryan

  • Tactical Happenstance
  • Administrator
  • Great Eye / First
  • *****
  • Posts: 2824
  • Karma: 52
The "old" launcher (for Revival 1.2.1 and prior)
« on: Jan 12, 2017; 05:36 AM »
For the sake of clarity,I've decided the launchers need their own threads.

So,here you'll find the "old" launcher,used for installing Revival 1.2.1 and prior,and most community mods of the time including Seferoth's Lost London series.


Instructions
  • Download the launcher,found as an attachment below,and unzip it in your game directory.
  • Run the install.exe,and follow the installation's instructions.This may require that you locate your HG:L game directory,if you didn't install it in the default directory.
  • In the Launcher,select Options>Program Settings>Enable Expert mode.This is not an essential step,but many mods may require it.


Those are the basics towards setting up the installer itself. To install mods,you will also need to

  • Install the needed patches,found in the Legacy Patches section.
    Most older mods will only require the 1.2 SP patch,but kindly remember to read each mod's instructions for specifics.
  • Run the game .exe once (either the "Launcher" .exe in your game directory,or either of the .exes in the directory's "SP_x32"/SP_x64" folder).
    This step is crucial as it allows the game to create some additional files that are often essential for proper mod installations.
  • Download the mod you wish to install.
  • In the Launcher,select File>Install mod package,and select the mod .zip you have downloaded.
  • Select any optional components you wish,and select "next".
  • Once the installation is complete,run the game!
« Last Edit: Feb 20, 2017; 05:20 PM by Bryan »
"Dream big and crash often"
-Omerta

List of Global class guides.
The above guides may be obsolete for vanilla SP, but they may still hold true to an extent for some mods and 2038.